JOURNAL_INIT_INODE(9)

NAME
journal_init_inode - creates a journal which maps to a inode.

SYNOPSIS

journal_t * journal_init_inode(struct inode * inode);

ARGUMENTS

inode
    An inode to create the journal in

DESCRIPTION

journal_init_inode creates a journal which maps an on-disk inode as the journal. The inode must exist already, must support bmap and must have all data blocks preallocated.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT